[arch-commits] Commit in audacious-plugins/repos (3 files)

Andrea Scarpino andrea at archlinux.org
Wed Nov 25 06:37:57 EST 2009


    Date: Wednesday, November 25, 2009 @ 06:37:56
  Author: andrea
Revision: 59618

Merged revisions 59617 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/audacious-plugins/trunk

........
  r59617 | andrea | 2009-11-25 12:37:20 +0100 (Wed, 25 Nov 2009) | 2 lines
  
  upgpkg: audacious-plugins 2.2-1
      upstream release
........

Modified:
  audacious-plugins/repos/extra-i686/	(properties)
  audacious-plugins/repos/extra-i686/PKGBUILD
Deleted:
  audacious-plugins/repos/extra-i686/ChangeLog

-----------+
 ChangeLog |   47 -----------------------------------------------
 PKGBUILD  |   26 ++++++++++++--------------
 2 files changed, 12 insertions(+), 61 deletions(-)


Property changes on: audacious-plugins/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /audacious-plugins/trunk:1-45593
   + /audacious-plugins/trunk:1-59617

Deleted: extra-i686/ChangeLog
===================================================================
--- extra-i686/ChangeLog	2009-11-25 11:37:20 UTC (rev 59617)
+++ extra-i686/ChangeLog	2009-11-25 11:37:56 UTC (rev 59618)
@@ -1,47 +0,0 @@
-2009-07-12  Eric Belanger  <eric at archlinux.org>
-
-	* audacious-plugins 2.1-1
-	New upstream release.
-	Changed audacious depends to makedepends (close FS#14655)
-	Removed old patches
-
-2009-02-17  Eric Belanger  <eric at archlinux.org>
-
-  * audacious-plugins-1.5.1-3:
-  Rebuilt against libmtp 0.3.7-1 + libcdio 0.81-2
-  added patch for new libmtp from Fedora
-
-2009-02-17  Eric Belanger  <eric at archlinux.org>
-
-  * audacious-plugins-1.5.1-2:
-  Rebuilt against projectm 1.2.0
-
-2008-08-30  Alexander Fehr  <pizzapunk gmail com>
-
-  * audacious-plugins-1.5.1-1:
-  New upstream release.
-  New maintainer.
-  Changed license to GPL.
-  Cleaned up dependencies and made more of them optional.
-  Removed !libtool option.
-  Built MTP upload, RootVis and MMS plugins.
-  Enabled SSE2 for x86_64.
-  Added audacious-plugins-amidi.patch to fix AMIDI-Plug plugin.
-  Removed install file.
-
-2008-03-15  Travis Willard  <travis at archlinux.org>
-
-  * audacious-plugins-1.5.0-1:
-  New upstream release.
-  Changed dependency on 'audacious-player' to 'audacious'.
-
-2008-03-08  Travis Willard  <travis at archlinux.org>
-
-  * audacious-plugins-1.4.5-2:
-  Switched to optdepends usage for optional dependencies.
-
-2008-02-16  Travis Willard  <travis at archlinux.org>
-
-  * audacious-plugins-1.4.5-1:
-  New upstream release.
-  Added ChangeLog.

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-11-25 11:37:20 UTC (rev 59617)
+++ extra-i686/PKGBUILD	2009-11-25 11:37:56 UTC (rev 59618)
@@ -1,17 +1,17 @@
 # $Id$
-# Maintainer: Alexander Fehr <pizzapunk gmail com>
+# Contributor: Alexander Fehr <pizzapunk gmail com>
 # Contributor: William Rea <sillywilly at gmail.com>
 
 pkgname=audacious-plugins
-pkgver=2.1
+pkgver=2.2
 pkgrel=1
 pkgdesc="Plugins for Audacious"
 arch=('i686' 'x86_64')
 url="http://audacious-media-player.org/"
 license=('GPL')
 depends=('libmad' 'libvorbis')
-makedepends=('jack-audio-connection-kit' 'lame' 'fluidsynth' 'libcdio>=0.81-2' 'libsidplay' 'wavpack'
-             'libmpcdec' 'taglib' 'lirc-utils' 'curl' 'libmtp>=0.3.7-1' 'sdl' 'projectm' 'imlib2'
+makedepends=('jack-audio-connection-kit' 'lame' 'fluidsynth' 'libcdio' 'libsidplay' 'wavpack'
+             'libmpcdec' 'taglib' 'lirc-utils' 'curl' 'libmtp' 'sdl' 'projectm' 'imlib2'
              'neon' 'libmms' 'gtkglext' "audacious>=${pkgver}")
 optdepends=('jack-audio-connection-kit: JACK output plugin'
             'lame: FileWriter output plugin'
@@ -29,21 +29,19 @@
             'imlib2: RootVis visualization plugin'
             'neon: HTTP transport plugin'
             'libmms: MMS transport plugin')
-source=(http://distfiles.atheme.org/audacious-plugins-$pkgver.tgz)
-md5sums=('087fcb1f6fb8429b267f18ed3e3acb7a')
+source=(http://distfiles.atheme.org/$pkgname-$pkgver.tgz)
+md5sums=('ed6790bf5667c824eda72301f0a886a8')
 
-
 build() {
-  cd "$srcdir/audacious-plugins-$pkgver"
+  cd "$srcdir/$pkgname-$pkgver"
 
   if [[ $CARCH = "i686" ]]; then
-    ./configure --prefix=/usr --disable-esd --disable-arts --disable-pulse \
-      --enable-amidiplug --disable-timidity --disable-adplug \
-      --enable-chardet --disable-sse2 || return 1
+    ./configure --prefix=/usr --disable-esd --disable-pulse \
+      --enable-amidiplug --disable-adplug --enable-chardet \
+      --disable-sse2 || return 1
   elif [[ $CARCH = "x86_64" ]]; then
-    ./configure --prefix=/usr --disable-esd --disable-arts --disable-pulse \
-      --enable-amidiplug --disable-timidity --disable-adplug \
-      --enable-chardet || return 1
+    ./configure --prefix=/usr --disable-esd --disable-pulse \
+      --enable-amidiplug --disable-adplug --enable-chardet || return 1
   fi
 
   make || return 1



More information about the arch-commits mailing list